Bug 526452 - yum-cron does not work if metadata database is broken
Summary: yum-cron does not work if metadata database is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-cron
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Habig, Alec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-30 11:24 UTC by Milan Kerslager
Modified: 2009-10-27 07:24 UTC (History)
2 users (show)

Fixed In Version: 0.9.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-27 06:45:11 UTC


Attachments (Terms of Use)

Description Milan Kerslager 2009-09-30 11:24:34 UTC
Sometimes the repodata database stored locally is broken. It happened if same package is released twice (non-signed and signed for example) or when strange network error occur. yum-cron then stops doing updates and reports the same error repeatedly. As yum is configured with many repos, this hits the problem too often.

Please, add metadata cleaning to the weekly action. It used to be here and there is only package cleaning (unnecesary as current yum deletes packages on its own but may be required for older yum).

Comment 1 James Antill 2009-09-30 13:24:09 UTC
If you do this you want to do "yum clean expire-cache" and not "yum clean metadata" IMO.

Comment 2 Habig, Alec 2009-09-30 13:43:53 UTC
Good catch.  Will address this as part of reworking things to solve bug 524461.

James, what's the advantage of "expire-cache"?  I'm inclined to do a "yum clean all", actually.

Comment 3 James Antill 2009-09-30 14:06:40 UTC
yum clean all == removes all metadata and all packages from disk. All metadata needed, needs to be downloaded. All packages need to be downloaded.

yum clean metadata == removes all metadata. All metadata needed, needs to be downloaded.

yum clean expire-cache == all metadata needs to be checked for freshness, if it's it's upto date it requires a minor download (metalink or repomd.xml) if parts of it need to be updated only those bits need to be downloaded. If there is a problem with the download, yum can revert to the old metadata. In the worst case everything is downloaded that is downloaded above.

Comment 4 Habig, Alec 2009-10-06 22:20:22 UTC
A test build of yum to try which hopefully resolves this bug:

https://koji.fedoraproject.org/koji/buildinfo?buildID=135389

Let me know if this either works or causes more trouble.

Comment 5 Fedora Update System 2009-10-07 13:40:35 UTC
yum-cron-0.9.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/yum-cron-0.9.0-1.fc11

Comment 6 Fedora Update System 2009-10-07 13:40:49 UTC
yum-cron-0.9.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yum-cron-0.9.0-1.fc10

Comment 7 Fedora Update System 2009-10-07 13:41:05 UTC
yum-cron-0.9.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-cron-0.9.0-1.fc12

Comment 8 Fedora Update System 2009-10-09 03:38:04 UTC
yum-cron-0.9.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-cron'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10340

Comment 9 Fedora Update System 2009-10-09 03:42:19 UTC
yum-cron-0.9.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-cron'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10358

Comment 10 Fedora Update System 2009-10-14 13:46:15 UTC
yum-cron-0.9.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/yum-cron-0.9.1-1.fc11

Comment 11 Fedora Update System 2009-10-14 13:46:30 UTC
yum-cron-0.9.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yum-cron-0.9.1-1.fc10

Comment 12 Fedora Update System 2009-10-14 13:46:44 UTC
yum-cron-0.9.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-cron-0.9.1-1.fc12

Comment 13 Fedora Update System 2009-10-15 22:35:09 UTC
yum-cron-0.9.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-cron'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10519

Comment 14 Fedora Update System 2009-10-15 22:41:14 UTC
yum-cron-0.9.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-cron'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10541

Comment 15 Fedora Update System 2009-10-27 06:44:50 UTC
yum-cron-0.9.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-10-27 07:24:04 UTC
yum-cron-0.9.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.